> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for player names

> Searches for player names in the database that match the provided query. The query should be a string up to 16 characters long. Results are cached and limited to 25 items.



## OpenAPI

````yaml https://stash.seraph.si/json post /discord/search
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/search:
    post:
      tags:
        - Player
        - Search
      summary: Search for player names
      description: >-
        Searches for player names in the database that match the provided query.
        The query should be a string up to 16 characters long. Results are
        cached and limited to 25 items.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sprint.SearchRequest'
        description: Search query for player names
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/types.SearchPlayerCache'
                type: array
          description: Successfully retrieved matching player names
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Bad Request: Invalid query or request body'
components:
  schemas:
    sprint.SearchRequest:
      properties:
        query:
          type: string
      type: object
    types.SearchPlayerCache:
      properties:
        name:
          type: string
        value:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````